summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Daniel Jordan <daniel.budd.j+SBo@gmail.com>2017-07-07 22:37:58 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-07-07 22:37:58 +0700
commit04c44e2ad46de365c834a1bf4be3798b96ca0cf9 (patch)
treea193e532b46d7a08ba5dbb0ce46c753ca3d2fc3c /academic
parent58db868a1ac53b80dc550a53f5977c297fb038dd (diff)
downloadslackbuilds-04c44e2ad46de365c834a1bf4be3798b96ca0cf9.tar.gz
slackbuilds-04c44e2ad46de365c834a1bf4be3798b96ca0cf9.tar.xz
academic/siril: Added (Astronomical Image Processing Tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/siril/README7
-rw-r--r--academic/siril/siril.SlackBuild81
-rw-r--r--academic/siril/siril.info10
-rw-r--r--academic/siril/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/academic/siril/README b/academic/siril/README
new file mode 100644
index 0000000000..3e9ef4ac5e
--- /dev/null
+++ b/academic/siril/README
@@ -0,0 +1,7 @@
+SIRIL is an astronomical image processing tool.
+
+SIRIL is an image processing tool specially tailored for noise reduction and
+improving the signal/noise ratio of an image from multiple captures as
+required in astronomy.
+SIRIL can align automatically or manually, stack and enhance pictures from
+various file formats, even images sequences (movies and SER files).
diff --git a/academic/siril/siril.SlackBuild b/academic/siril/siril.SlackBuild
new file mode 100644
index 0000000000..c98d9193a6
--- /dev/null
+++ b/academic/siril/siril.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for siril
+
+# Copyright 2017, Daniel Jordan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=siril
+VERSION=${VERSION:-0.9.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+
+sh ./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make DESTDIR=$PKG install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS README.md ChangeLog NEWS LICENSE COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/siril/siril.info b/academic/siril/siril.info
new file mode 100644
index 0000000000..77bd63b367
--- /dev/null
+++ b/academic/siril/siril.info
@@ -0,0 +1,10 @@
+PRGNAM="siril"
+VERSION="0.9.6"
+HOMEPAGE="https://free-astro.org/index.php?title=Main_Page"
+DOWNLOAD="https://free-astro.org/download/siril-0.9.6.tar.bz2"
+MD5SUM="aaa649ba5a57738ab8fb8c4223ed83dd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="cfitsio libconfig"
+MAINTAINER="Daniel Jordan"
+EMAIL="daniel.budd.j+SBo@gmail.com"
diff --git a/academic/siril/slack-desc b/academic/siril/slack-desc
new file mode 100644
index 0000000000..679716aa48
--- /dev/null
+++ b/academic/siril/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+siril: siril (Astronomical Image Processing Tool)
+siril:
+siril: Siril is meant to be Iris for Linux (sirI-L). It is an astronomical
+siril: image processing tool, able to convert, pre-process images, help
+siril: aligning automatically or manually, stack and enhance final images.
+siril:
+siril:
+siril:
+siril:
+siril:
+siril: